<?php

namespace App\Filament\Loggers;

use App\Models\IndividualZone;
use App\Filament\Resources\IndividualZoneResource;
use Illuminate\Contracts\Support\Htmlable;
use Noxo\FilamentActivityLog\Loggers\Logger;
use Noxo\FilamentActivityLog\ResourceLogger\Field;
use Noxo\FilamentActivityLog\ResourceLogger\RelationManager;
use Noxo\FilamentActivityLog\ResourceLogger\ResourceLogger;

class IndividualZoneLogger extends Logger
{
    public static ?string $model = IndividualZone::class;

    public static function getLabel(): string | Htmlable | null
    {
        return IndividualZoneResource::getModelLabel();
    }

    public static function resource(ResourceLogger $logger): ResourceLogger
    {
        return $logger
            ->fields([
                Field::make('main_title')->label(__('Main Title')),
                Field::make('main_images')->label(__('Main Images')),
                Field::make('date')->label(__('Date')),
                Field::make('main_text')->label(__('Main Text')),
                Field::make('games_count')->label(__('Games Count')),
                Field::make('second_title')->label(__('Second Title')),
                Field::make('game_images')->label(__('Game Images')),
                Field::make('button_text')->label(__('Button Text')),
                Field::make('button_color')->label(__('Button Color')),
                Field::make('button_background_color')->label(__('Button Background Color')),
                Field::make('coming_event_title')->label(__('Coming Event Title')),
                Field::make('coming_event_text')->label(__('Coming Event Text')),
                Field::make('coming_event_date')->label(__('Coming Event Date')),
                Field::make('coming_event_image')->label(__('Coming Event Image')),
                Field::make('club_articles_heading')->label(__('Club Articles Heading')),
                Field::make('article_count')->label(__('Article Count')),
                Field::make('article_button_text')->label(__('Article Button Text')),
                Field::make('article_button_color')->label(__('Article Button Color')),
                Field::make('article_button_background_color')->label(__('Article Button Background Color')),
            ])
            ->relationManagers([
                //
            ]);
    }
}
